import { defineConfig } from "unocss";

const rules = [
	[/^mg-([\.\d]+)$/, ([_, num]) => ({ margin: `${num}px` })],
	[/^mg-t-([\.\d]+)$/, ([_, num]) => ({ marginTop: `${num}px` })],
	[/^mg-b-([\.\d]+)$/, ([_, num]) => ({ marginBottom: `${num}px` })],
	[/^mg-r-([\.\d]+)$/, ([_, num]) => ({ marginRight: `${num}px` })],
	[/^mg-l-([\.\d]+)$/, ([_, num]) => ({ marginLeft: `${num}px` })]
]

export default defineConfig({
	rules,
})